using Forks.EnterpriseServices.DataDictionary;
using Forks.EnterpriseServices.DomainObjects2;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ButcherFactory.BO
{
  [MapToTable("Butcher_CarcassTakeOut")]
  [DBIndex("IDX_Butcher_CarcassTakeOut_Clustered", "BarCode", false, 0)]
  [DBIndexType("IDX_Butcher_CarcassTakeOut_Clustered", IndexType.Clustered)]
  public class CarcassTakeOut : SyncBill
  {
    public string BarCode { get; set; }

    public long? WorkUnit_ID { get; set; }

    public long? Goods_ID { get; set; }

    public long? ProductBatch_ID { get; set; }

    public decimal? Weight { get; set; }

    [DbColumn(DefaultValue = 1)]
    public int Number { get; set; }

    public decimal? BeforeWeight { get; set; }

    [ReferenceTo(typeof(Goods), "Name")]
    [Join("Goods_ID", "ID")]
    public string Goods_Name { get; set; }

    public long? GroupID { get; set; }

    public bool Submited { get; set; }

    [DbColumn(DefaultValue = true)]
    public bool IsCarcass { get; set; }

    public long? Store_ID { get; set; }
  }
}
